Loading...
Searching...
No Matches
mbedtls_psa_stats_s Struct Reference

Statistics about resource consumption related to the PSA keystore. More...

`#include <crypto_extra.h>`

## Data Fields

size_t | private_volatile_slots
size_t | private_persistent_slots
size_t | private_external_slots
size_t | private_half_filled_slots
size_t | private_cache_slots
size_t | private_empty_slots
size_t | private_locked_slots
psa_key_id_t | private_max_open_internal_key_id
psa_key_id_t | private_max_open_external_key_id

## Detailed Description

Statistics about resource consumption related to the PSA keystore.

Note
  The content of this structure is not part of the stable API and ABI of Mbed TLS and may change arbitrarily from version to version.

Definition at line 231 of file crypto_extra.h.

## Field Documentation

## private_cache_slots

size_t mbedtls_psa_stats_s::private_cache_slots

Number of slots that contain cache data.

Definition at line 244 of file crypto_extra.h.

## private_empty_slots

size_t mbedtls_psa_stats_s::private_empty_slots

Number of slots that are not used for anything.

Definition at line 246 of file crypto_extra.h.

## private_external_slots

size_t mbedtls_psa_stats_s::private_external_slots

Number of slots containing a reference to a key in a secure element.

Definition at line 239 of file crypto_extra.h.

## private_half_filled_slots

size_t mbedtls_psa_stats_s::private_half_filled_slots

Number of slots which are occupied, but do not contain key material yet.

Definition at line 242 of file crypto_extra.h.

## private_locked_slots

size_t mbedtls_psa_stats_s::private_locked_slots

Number of slots that are locked.

Definition at line 248 of file crypto_extra.h.

## private_max_open_external_key_id

psa_key_id_t mbedtls_psa_stats_s::private_max_open_external_key_id

Largest key id value among open keys in secure elements.

Definition at line 252 of file crypto_extra.h.

## private_max_open_internal_key_id

psa_key_id_t mbedtls_psa_stats_s::private_max_open_internal_key_id

Largest key id value among open keys in internal persistent storage.

Definition at line 250 of file crypto_extra.h.

## private_persistent_slots

size_t mbedtls_psa_stats_s::private_persistent_slots

Number of slots containing key material for a key which is in internal persistent storage.

Definition at line 236 of file crypto_extra.h.

## private_volatile_slots

size_t mbedtls_psa_stats_s::private_volatile_slots

Number of slots containing key material for a volatile key.

Definition at line 233 of file crypto_extra.h.

The documentation for this struct was generated from the following file:

- crypto_extra.h